<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
| Updated to v6.0 by janmol / janm@janm.dk
| English language by Helmuth Mikkelsen helmuthm@gmail.com
+----------------------------------------------------*/
include "../../maincore.php";
include BASEDIR."subheader.php";
include BASEDIR."side_left.php";
include LOCALE.LOCALESET."threads.php";

if (!iMEMBER) fallback("../../index.php");

if (!isset($lastvisited) || !isNum($lastvisited)) $lastvisited = time();

opentable($locale['n002']);
$result = dbquery("
	SELECT tp.*, tf.* FROM ".$db_prefix."posts tp
	INNER JOIN ".$db_prefix."forums tf USING(forum_id)
	WHERE ".groupaccess('forum_access')." AND tp.post_datestamp>$lastvisited"
);
$rows = dbrows($result);
if ($rows != 0) {
	echo "<table cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>
<tr>
<td align='left' class='tbl2'><b>".$locale['030']."</b></td>
<td align='left' class='tbl2'><b>".$locale['035']."</b></td>
<td align='center' class='tbl2' width='100'><b>".$locale['n003']."</b></td>
<td align='center' class='tbl2' width='120'><b>".$locale['039']."</b></td>\n";
	$result = dbquery(
		"SELECT tp.*, tf.*, tu.user_id,user_name FROM ".$db_prefix."posts tp
		INNER JOIN ".$db_prefix."forums tf USING(forum_id)
		LEFT JOIN ".$db_prefix."users tu ON tp.post_author=tu.user_id
		WHERE ".groupaccess('forum_access')." AND tp.post_datestamp>$lastvisited ORDER BY post_datestamp ASC"
	);
	while ($data = dbarray($result)) {
		$reply_count = dbcount("(thread_id)", "posts", "thread_id='".$data['thread_id']."' AND post_id<'".$data['post_id']."'");
		$rstart = ($reply_count > 20 ? "rowstart=".((ceil($reply_count / 20)-1)*20)."&" : "");
		if (checkgroup($data['forum_access'])) {
			echo "<tr>
<td class='tbl1'><a href='".BASEDIR."forum/viewforum.php?forum_id=".$data['forum_id']."&forum_cat=".$data['forum_cat']."'>".$data['forum_name']."</a></td>
<td class='tbl1'><a href='".BASEDIR."forum/viewthread.php?".$rstart."forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."#post_".$data['post_id']."'>".$data['post_subject']."</a></td>
<td align='center' class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['post_author']."'>".$data['user_name']."</a></td>
<td align='right' class='tbl1'>".showdate("forumdate",$data['post_datestamp'])."</td>
</tr>\n";
		}
	}
	if ($rows == 1){
		echo "<tr><td align='center' colspan='4' class='tbl1'>".$locale['n004']."".$rows."".$locale['n006']."</td></tr>";
	} elseif ($rows > 1){
		echo "<tr><td align='center' colspan='4' class='tbl1'>".$locale['n005']."".$rows."".$locale['n007']."</td></tr>";
	}
	echo "</table>\n";
} else {
	echo "<center><br>".$locale['n008']."<br><br></center>\n";
}
closetable();
echo "</td>\n";

include BASEDIR."side_right.php";
include BASEDIR."footer.php";
?>